package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/30
 */
public class StudentCourseScheduleRecordQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "上课方式")
    private String teachMode;

    @ApiModelProperty(value = "课程类型")
    private String type;

    @ApiModelProperty(value = "考勤状态")
    private String status;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "上课日期")
    private Date date;

    @ApiModelProperty(value = "是否是未上课时")
    private YesOrNoEnum isAttend;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public YesOrNoEnum getIsAttend() {
        return isAttend;
    }

    public void setIsAttend(YesOrNoEnum isAttend) {
        this.isAttend = isAttend;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(String teachMode) {
        this.teachMode = teachMode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
